### Method

# Clutter Actor pick_box

#### Declaration [src]

    void
    clutter_actor_pick_box (
      ClutterActor* self,
      ClutterPickContext* pick_context,
      const ClutterActorBox* box
    )

#### Description [src]

Logs (does a virtual paint of) a rectangle for picking. Note that `box` is in the actor’s own local coordinates, so is usually {0,0,width,height} to include the whole actor. That is unless the actor has a shaped input region in which case you may wish to log the (multiple) smaller rectangles that make up the input region.

#### Parameters

`pick_context`

  Type: `ClutterPickContext`

  The `ClutterPickContext`.

  The data is owned by the caller of the method.

`box`

  Type: `ClutterActorBox`

  A rectangle in the actor’s own local coordinates.

  The data is owned by the caller of the method.